 /* ===========================================================================
 *   Copyright (C) 2013 by ]init[ AG für digitale Kommunikation
 * -----------------------------------------------------------------------------
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or (at
 *  your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this library; if not, write to the Free Software Foundation,
 *  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *  See also the full LGPL text here: http://www.gnu.org/copyleft/lesser.html
 * ===========================================================================*/
package de.init.loext.its.transport.tags;

/**
 * A handcoded List of locales
 * @author t.meinert
 *
 */
public class Locales {
	
	public static String[] locales = {
			"*",
			"Albanian (Albania)	:  	sq-AL",
			"Albanian	:  	sq",
			"Arabic (Algeria)	:  	ar-DZ",
			"Arabic (Bahrain)	:  	ar-BH",
			"Arabic (Egypt)	:  	ar-EG",
			"Arabic (Iraq)	:  	ar-IQ",
			"Arabic (Jordan)	:  	ar-JO",
			"Arabic (Kuwait)	:  	ar-KW",
			"Arabic (Lebanon)	:  	ar-LB",
			"Arabic (Libya)	:  	ar-LY",
			"Arabic (Morocco)	:  	ar-MA",
			"Arabic (Oman)	:  	ar-OM",
			"Arabic (Qatar)	:  	ar-QA",
			"Arabic (Saudi Arabia)	:  	ar-SA",
			"Arabic (Sudan)	:  	ar-SD",
			"Arabic (Syria)	:  	ar-SY",
			"Arabic (Tunisia)	:  	ar-TN",
			"Arabic (United Arab Emirates)	:  	ar-AE",
			"Arabic (Yemen)	:  	ar-YE","Arabic	:  	ar",
			"Belarusian (Belarus)	:  	be-BY",
			"Belarusian	:  	be",
			"Bulgarian (Bulgaria)	:  	bg-BG",
			"Bulgarian	:  	bg",
			"Catalan (Spain)	:  	ca-ES",
			"Catalan	:  	ca",
			"Chinese (China)	:  	zh-CN",
			"Chinese (Hong Kong)	:  	zh-HK",
			"Chinese (Singapore)	:  	zh-SG",
			"Chinese (Taiwan)	:  	zh-TW",
			"Chinese	:  	zh",
			"Croatian (Croatia)	:  	hr-HR",
			"Croatian	:  	hr",
			"Czech (Czech Republic)	:  	cs-CZ",
			"Czech	:  	cs",
			"Danish (Denmark)	:  	da-DK",
			"Danish	:  	da",
			"Dutch (Belgium)	:  	nl-BE",
			"Dutch (Netherlands)	:  	nl-NL",
			"Dutch	:  	nl",
			"English (Australia)	:  	en-AU",
			"English (Canada)	:  	en-CA",
			"English (India)	:  	en-IN",
			"English (Ireland)	:  	en-IE",
			"English (Malta)	:  	en-MT",
			"English (New Zealand)	:  	en-NZ",
			"English (Philippines)	:  	en-PH",
			"English (Singapore)	:  	en-SG",
			"English (South Africa)	:  	en-ZA",
			"English (United Kingdom)	:  	en-GB",
			"English (United States)	:  	en-US",
			"English	:  	en",
			"Estonian (Estonia)	:  	et-EE",
			"Estonian	:  	et",
			"Finnish (Finland)	:  	fi-FI",
			"Finnish	:  	fi",
			"French (Belgium)	:  	fr-BE",
			"French (Canada)	:  	fr-CA",
			"French (France)	:  	fr-FR",
			"French (Luxembourg)	:  	fr-LU",
			"French (Switzerland)	:  	fr-CH",
			"French	:  	fr",
			"German (Austria)	:  	de-AT",
			"German (Germany)	:  	de-DE",
			"German (Luxembourg)	:  	de-LU",
			"German (Switzerland)	:  	de-CH",
			"German	:  	de",
			"Greek (Cyprus)	:  	el-CY",
			"Greek (Greece)	:  	el-GR",
			"Greek	:  	el",
			"Hebrew (Israel)	:  	iw-IL",
			"Hebrew	:  	iw",
			"Hindi (India)	:  	hi-IN",
			"Hungarian (Hungary)	:  	hu-HU",
			"Hungarian	:  	hu",
			"Icelandic (Iceland)	:  	is-IS",
			"Icelandic	:  	is",
			"Indonesian (Indonesia)	:  	in-ID",
			"Indonesian	:  	in",
			"Irish (Ireland)	:  	ga-IE",
			"Irish	:  	ga",
			"Italian (Italy)	:  	it-IT",
			"Italian (Switzerland)	:  	it-CH",
			"Italian	:  	it",
			"Japanese (Japan)	:  	ja-JP",
			"Japanese (Japan,JP)	:  	ja-JP-JP",
			"Japanese	:  	ja",
			"Korean (South Korea)	:  	ko-KR",
			"Korean	:  	ko","Latvian (Latvia)	:  	lv-LV",
			"Latvian	:  	lv",
			"Lithuanian (Lithuania)	:  	lt-LT",
			"Lithuanian	:  	lt",
			
			"Macedonian (Macedonia)	:  	mk-MK",
			"Macedonian	:  	mk",
			"Malay (Malaysia)	:  	ms-MY",
			"Malay	:  	ms",
			"Maltese (Malta)	:  	mt-MT",
			"Maltese	:  	mt","Norwegian (Norway)	:  	no-NO",
			"Norwegian (Norway,Nynorsk)	:  	no-NO-NY",
			"Norwegian	:  	no",
			"Polish (Poland)	:  	pl-PL",
			"Polish	:  	pl",
			"Portuguese (Brazil)	:  	pt-BR",
			"Portuguese (Portugal)	:  	pt-PT",
			"Portuguese	:  	pt",
			"Romanian (Romania)	:  	ro-RO",
			"Romanian	:  	ro",
			"Russian (Russia)	:  	ru-RU",
			"Russian	:  	ru",
			"Serbian (Bosnia and Herzegovina)	:  	sr-BA",
			"Serbian (Montenegro)	:  	sr-ME",
			"Serbian (Serbia and Montenegro)	:  	sr-CS",
			"Serbian (Serbia)	:  	sr-RS",
			"Serbian	:  	sr",
			"Slovak (Slovakia)	:  	sk-SK",
			"Slovak	:  	sk",
			"Slovenian (Slovenia)	:  	sl-SI",
			"Slovenian	:  	sl",
			"Spanish (Argentina)	:  	es-AR",
			"Spanish (Bolivia)	:  	es-BO",
			"Spanish (Chile)	:  	es-CL",
			"Spanish (Colombia)	:  	es-CO",
			"Spanish (Costa Rica)	:  	es-CR",
			"Spanish (Dominican Republic)	:  	es-DO",
			"Spanish (Ecuador)	:  	es-EC    ",
			"Spanish (El Salvador)	:  	es-SV",
			"Spanish (Guatemala)	:  	es-GT",
			"Spanish (Honduras)	:  	es-HN",
			"Spanish (Mexico)	:  	es-MX",
			"Spanish (Nicaragua)	:  	es-NI",
			"Spanish (Panama)	:  	es-PA",
			"Spanish (Paraguay)	:  	es-PY",
			"Spanish (Peru)	:  	es-PE",
			"Spanish (Puerto Rico)	:  	es-PR",
			"Spanish (Spain)	:  	es-ES",
			"Spanish (United States)	:  	es-US",
			"Spanish (Uruguay)	:  	es-UY",
			"Spanish (Venezuela)	:  	es-VE",
			"Spanish	:  	es",
			"Swedish (Sweden)	:  	sv-SE",
			"Swedish	:  	sv",
			"Thai (Thailand)	:  	th-TH",
			"Thai (Thailand,TH)	:  	th-TH-TH",
			"Thai	:  	th",
			"Turkish (Turkey)	:  	tr-TR",
			"Turkish	:  	tr",
			"Ukrainian (Ukraine)	:  	uk-UA",
			"Ukrainian	:  	uk",
			"Vietnamese (Vietnam)	:  	vi-VN",
			"Vietnamese	:  	vi"   };
	
	/**
	 * returns a normalized representation of the locale string, that is
	 * 
	 * [language]-[COUNTRY] or a single wildcard selector
	 * 
	 * @param i the index of locale
	 * @return the normalized locale
	 */
	public static String getNormalizedLocale(final int i) {
		String b = locales[i];
		int index  = b.lastIndexOf(" ");
		return index > -1 ? b.substring(index).trim() : b.trim();
	}
	
	public static String getHumanReadableLocale(final int i) {
		String b = locales[i];
		int index = b.indexOf(":");
		return index > -1 ? b.substring(0, index).trim() : b.trim();
	}

	public static String[] getNormalizedLocales() {
		String[] normalized = new String[locales.length];
		for (int i = 0; i < locales.length; i++) {
			normalized[i] = getHumanReadableLocale(i);
		}
		return normalized;
	}
}
